Package Details: balongflash-git r80.8bfe940-2

Git Clone URL: https://aur.archlinux.org/balongflash-git.git (read-only)
Package Base: balongflash-git
Description: Flashing utility for Huawei E3372 and other modems baesd on Balong v7
Upstream URL: https://github.com/forth32/balongflash
Licenses: GPLv3
Provides: balongflash=r80.8bfe940
Submitter: petRUShka
Maintainer: dreieck
Last Packager: dreieck
Votes: 1
Popularity: 0.000357
First Submitted: 2016-06-18 09:47
Last Updated: 2017-02-15 13:32

Dependencies (1)

Required by (1)

Sources (2)

Latest Comments

mityada commented on 2017-06-14 14:41

I've added internationalization support to this utility so both English and Russian are supported. All messages are translated.
Pull request: https://github.com/forth32/balongflash/pull/15
You can use my branch while pull request is not merged: https://github.com/mityada/balongflash/tree/i18n.

dreieck commented on 2017-02-15 13:33

* Updated.
* Made package buildable.
* Added englisch (google-translate-)translation of the russian help messages.

petRUShka commented on 2017-02-15 12:27

Moreover I transferred ownership to you

petRUShka commented on 2017-02-15 12:18

@dreieck, I added you as co-maintener. Please feel free to modify package

dreieck commented on 2017-02-15 12:15

Author seems not to care about this package, and leaves it in unbuildable state although he was informed.

I would take over this package.

dreieck commented on 2017-01-30 08:34

A patch for the current PKGBUILD, adressing the issues I mentioned and adding the english "translation" of balongflash's help messages, is there:

http://ix.io/1RtJ

dreieck commented on 2017-01-30 08:25

I have created a google-translated file of the help messages of balongflash which can be accessed by

balongflash -h

and

balongflash -gl

: http://ix.io/1RtB

dreieck commented on 2017-01-30 08:21

* There is an error on your PKGBUILD: The makedepends are

makedepends=('make git gcc'), which means that balongflash-git makedepends on a single package, namely 'make git gcc'. There is no such package.

You need to quote the entries individually!

And, also, you can leave out make and gcc.

Please correct.

dreieck commented on 2016-12-05 19:11

* Please remove "make" and "gcc" from the makedepends. By Arch Linux standards, they are assumed to be installed.

* Packaging fails:
install: cannot stat 'LICENSE': No such file or directory

Please correct the PKGBUILD/ and/or the sources.

* Please add "balongflash" to provides-array and "balongflash" to conflicts-array.